--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu k�nnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Abschalten");		 		
		renderText(0.72, 0.81, 0.02, "Taste 9 : Lenkart umschalten");
		renderText(0.72, 0.79, 0.02, "Taste Numpad 8/9 : TwinWhhels");
		renderText(0.72, 0.77, 0.02, "Taste Numpad Enter : Amaturenbeleuchtung");
		renderText(0.72, 0.75, 0.02, "Taste Numpad 7: Attacher hoch");	
		renderText(0.72, 0.73, 0.02, "Taste Numpad 4: Attacher runter");
		renderText(0.72, 0.71, 0.02, "Taste Numpad 5: Arbeitslicht hinten");
		renderText(0.72, 0.69, 0.02, "Taste Numpad 4: Arbeitslicht vorne");
		renderText(0.72, 0.67, 0.02, "Taste Numpad 1: Blinker links");
		renderText(0.72, 0.65, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.63, 0.02, "Taste Numpad 3: Blinker rechts");

	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;



